Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface LDFeatureAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface LDFeatureAdaptor
extends FeatureAdaptor

Provides database access for retrieving LDFeatures as either a simple List or wrapped in an optimised LDFeaturesContainer.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch(Location location)` Fetches LDFeatures that overlap with location.
`java.util.List` | `fetch(VariationFeature variationFeature)` Fetches LDFeatures that include the VariationFeature.
`LDFeatureContainer` | `fetchLDFeatureContainer(Location location)` Retrieves an LDFeatureContainer that contains all the LDFeatures that overlap with the specified location.
`LDFeatureContainer` | `fetchLDFeatureContainer(VariationFeature variationFeature)` Retrieves an LDFeatureContainer that contains all the LDFeatures that refer to the specified VariationFeature.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch(Location location)
                         throws AdaptorException

  Fetches LDFeatures that overlap with location.

  Specified by:
    `fetch` in interface `FeatureAdaptor`
  Parameters:
    `location` - location to filter on.
  Returns:
    zero or more VariationFeatures.
  Throws:
    `AdaptorException`
  See Also:
    `for an alternative optimised way of using the retrieved data.`

### fetch

    public java.util.List fetch(VariationFeature variationFeature)
                         throws AdaptorException

  Fetches LDFeatures that include the VariationFeature.

  Parameters:
    `variationFeature` - variation feature to search for.
  Returns:
    zero or more VariationFeatures.
  Throws:
    `AdaptorException`
  See Also:
    `for an alternative optimised way of using the retrieved data.`

### fetchLDFeatureContainer

    public LDFeatureContainer fetchLDFeatureContainer(VariationFeature variationFeature)
                                               throws AdaptorException

  Retrieves an LDFeatureContainer that contains all the LDFeatures that refer to the specified VariationFeature. It provides convenient and optimised methods for accessing the data in several ways.

  Parameters:
    `variationFeature` -
  Returns:
    an LDFeatureContainer that contains zero or more VariationFeatures.
  Throws:
    `AdaptorException`

### fetchLDFeatureContainer

    public LDFeatureContainer fetchLDFeatureContainer(Location location)
                                               throws AdaptorException

  Retrieves an LDFeatureContainer that contains all the LDFeatures that overlap with the specified location. It provides convenient and optimised methods for accessing the data in several ways.

  Parameters:
    `location` - location filter
  Returns:
    an LDFeatureContainer that contains zero or more VariationFeatures.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD